summaryrefslogtreecommitdiffstats
path: root/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-11-06 21:25:18 +0000
committer Eric Hameleers <alien@slackware.com>2020-11-07 08:59:53 +0100
commitaae320a395fbbe0be771ead4963da6d61e50c5ae (patch)
treeb28a177d33110ca0705d049a3bc6fac06034799e /source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
parent1e2b70eb9ad995e99d86e49d96104c090a860709 (diff)
downloadcurrent-aae320a395fbbe0be771ead4963da6d61e50c5ae.tar.gz
current-aae320a395fbbe0be771ead4963da6d61e50c5ae.tar.xz
Fri Nov 6 21:25:18 UTC 202020201106212518
d/rust-1.47.0-x86_64-2.txz: Rebuilt. Switch back to Rust 1.47.0 now that patches are available to fix Firefox and Thunderbird. xap/mozilla-thunderbird-78.4.1-x86_64-1.txz: Upgraded. This is a bugfix release. For more information, see: https://www.mozilla.org/en-US/thunderbird/78.4.1/releasenotes/
Diffstat (limited to 'source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild')
-rwxr-xr-xsource/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild3
1 files changed, 3 insertions, 0 deletions
diff --git a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
index 48476c96..4804e26d 100755
--- a/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
+++ b/source/xap/mozilla-thunderbird/mozilla-thunderbird.SlackBuild
@@ -182,6 +182,9 @@ zcat $CWD/unbreakdocs.diff.gz | patch -p1 --verbose || exit 1
# Bypass a test that fails the build:
zcat $CWD/gkrust.a.no.networking.check.diff.gz | patch -p1 --verbose || exit 1
+# Fix building with rust-1.47.0:
+zcat $CWD/rust_1.47.0.patch.gz | patch -p1 --verbose || exit 1
+
# Fetch localization, if requested:
if [ ! -z $MOZLOCALIZE ]; then
LOC_TAG="THUNDERBIRD_$( echo $VERSION | tr \. _ )_RELEASE"